<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Référence de la classe src.checkBoxDialog.CheckBoxDialog</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="#pub-attribs">Attributs publics</a> &#124;
<a href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe src.checkBoxDialog.CheckBoxDialog</div>  </div>
</div><!--header-->
<div class="contents">

<p>Un dialogue pour gérer les cases à cocher de l'application.  
 <a href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#details">Plus de détails...</a></p>
<div class="dynheader">
Graphe d'héritage de src.checkBoxDialog.CheckBoxDialog:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog__inherit__graph.png" border="0" usemap="#src_8checkBoxDialog_8CheckBoxDialog_inherit__map" alt="Inheritance graph"/></div>
<map name="src_8checkBoxDialog_8CheckBoxDialog_inherit__map" id="src_8checkBoxDialog_8CheckBoxDialog_inherit__map">
<area shape="rect" title="Un dialogue pour gérer les cases à cocher de l&#39;application." alt="" coords="5,80,181,121"/>
<area shape="rect" href="classQDialog.html" title=" " alt="" coords="59,5,127,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<div class="dynheader">
Graphe de collaboration de src.checkBoxDialog.CheckBoxDialog:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog__coll__graph.png" border="0" usemap="#src_8checkBoxDialog_8CheckBoxDialog_coll__map" alt="Collaboration graph"/></div>
<map name="src_8checkBoxDialog_8CheckBoxDialog_coll__map" id="src_8checkBoxDialog_8CheckBoxDialog_coll__map">
<area shape="rect" title="Un dialogue pour gérer les cases à cocher de l&#39;application." alt="" coords="5,80,181,121"/>
<area shape="rect" href="classQDialog.html" title=" " alt="" coords="59,5,127,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:aa48eb9861b0e0b8f426cde02d653b1f9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#aa48eb9861b0e0b8f426cde02d653b1f9">__init__</a> (self, parent=None)</td></tr>
<tr class="memdesc:aa48eb9861b0e0b8f426cde02d653b1f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Le constructeur.  <a href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#aa48eb9861b0e0b8f426cde02d653b1f9">Plus de détails...</a><br /></td></tr>
<tr class="separator:aa48eb9861b0e0b8f426cde02d653b1f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7fbc638621498ec672bc23b597b8e4a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#aa7fbc638621498ec672bc23b597b8e4a">all</a> (self)</td></tr>
<tr class="memdesc:aa7fbc638621498ec672bc23b597b8e4a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fait cocher tous les baladeurs.  <a href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#aa7fbc638621498ec672bc23b597b8e4a">Plus de détails...</a><br /></td></tr>
<tr class="separator:aa7fbc638621498ec672bc23b597b8e4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ae6c444763b903a9bb66f909ab87c08"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a6ae6c444763b903a9bb66f909ab87c08">toggle</a> (self)</td></tr>
<tr class="memdesc:a6ae6c444763b903a9bb66f909ab87c08"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fait inverser tous les boutons.  <a href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a6ae6c444763b903a9bb66f909ab87c08">Plus de détails...</a><br /></td></tr>
<tr class="separator:a6ae6c444763b903a9bb66f909ab87c08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9618436a3201506c287a0730b91b1c2a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a9618436a3201506c287a0730b91b1c2a">none</a> (self)</td></tr>
<tr class="memdesc:a9618436a3201506c287a0730b91b1c2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fait décocher tous les boutons.  <a href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a9618436a3201506c287a0730b91b1c2a">Plus de détails...</a><br /></td></tr>
<tr class="separator:a9618436a3201506c287a0730b91b1c2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8b6b4c55db0e3383588b3706a131dbf"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#ab8b6b4c55db0e3383588b3706a131dbf">esc</a> (self)</td></tr>
<tr class="memdesc:ab8b6b4c55db0e3383588b3706a131dbf"><td class="mdescLeft">&#160;</td><td class="mdescRight">termine le dialogue sans rien faire  <a href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#ab8b6b4c55db0e3383588b3706a131dbf">Plus de détails...</a><br /></td></tr>
<tr class="separator:ab8b6b4c55db0e3383588b3706a131dbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Attributs publics</h2></td></tr>
<tr class="memitem:a44f65731056a52226d937886a4768081"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a44f65731056a52226d937886a4768081">mainWindow</a></td></tr>
<tr class="separator:a44f65731056a52226d937886a4768081"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bc5a1789a865fd0a786af3f43c28c8b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html#a9bc5a1789a865fd0a786af3f43c28c8b">ui</a></td></tr>
<tr class="separator:a9bc5a1789a865fd0a786af3f43c28c8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Un dialogue pour gérer les cases à cocher de l'application. </p>

<p class="definition">Définition à la ligne <a class="el" href="checkBoxDialog_8py_source.html#l00029">29</a> du fichier <a class="el" href="checkBoxDialog_8py_source.html">checkBoxDialog.py</a>.</p>
</div><h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="aa48eb9861b0e0b8f426cde02d653b1f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa48eb9861b0e0b8f426cde02d653b1f9">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.checkBoxDialog.CheckBoxDialog.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>parent</em> = <code>None</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Le constructeur. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>un <a class="el" href="namespacesrc_1_1mainWindow.html">mainWindow</a>, qui est censé contenir des données </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="checkBoxDialog_8py_source.html#l00034">34</a> du fichier <a class="el" href="checkBoxDialog_8py_source.html">checkBoxDialog.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="aa7fbc638621498ec672bc23b597b8e4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7fbc638621498ec672bc23b597b8e4a">&#9670;&nbsp;</a></span>all()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.checkBoxDialog.CheckBoxDialog.all </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fait cocher tous les baladeurs. </p>

<p class="definition">Définition à la ligne <a class="el" href="checkBoxDialog_8py_source.html#l00047">47</a> du fichier <a class="el" href="checkBoxDialog_8py_source.html">checkBoxDialog.py</a>.</p>

</div>
</div>
<a id="ab8b6b4c55db0e3383588b3706a131dbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8b6b4c55db0e3383588b3706a131dbf">&#9670;&nbsp;</a></span>esc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.checkBoxDialog.CheckBoxDialog.esc </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>termine le dialogue sans rien faire </p>

<p class="definition">Définition à la ligne <a class="el" href="checkBoxDialog_8py_source.html#l00068">68</a> du fichier <a class="el" href="checkBoxDialog_8py_source.html">checkBoxDialog.py</a>.</p>

</div>
</div>
<a id="a9618436a3201506c287a0730b91b1c2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9618436a3201506c287a0730b91b1c2a">&#9670;&nbsp;</a></span>none()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.checkBoxDialog.CheckBoxDialog.none </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fait décocher tous les boutons. </p>

<p class="definition">Définition à la ligne <a class="el" href="checkBoxDialog_8py_source.html#l00061">61</a> du fichier <a class="el" href="checkBoxDialog_8py_source.html">checkBoxDialog.py</a>.</p>

</div>
</div>
<a id="a6ae6c444763b903a9bb66f909ab87c08"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ae6c444763b903a9bb66f909ab87c08">&#9670;&nbsp;</a></span>toggle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.checkBoxDialog.CheckBoxDialog.toggle </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fait inverser tous les boutons. </p>

<p class="definition">Définition à la ligne <a class="el" href="checkBoxDialog_8py_source.html#l00054">54</a> du fichier <a class="el" href="checkBoxDialog_8py_source.html">checkBoxDialog.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des données membres</h2>
<a id="a44f65731056a52226d937886a4768081"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44f65731056a52226d937886a4768081">&#9670;&nbsp;</a></span>mainWindow</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.checkBoxDialog.CheckBoxDialog.mainWindow</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="checkBoxDialog_8py_source.html#l00036">36</a> du fichier <a class="el" href="checkBoxDialog_8py_source.html">checkBoxDialog.py</a>.</p>

</div>
</div>
<a id="a9bc5a1789a865fd0a786af3f43c28c8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9bc5a1789a865fd0a786af3f43c28c8b">&#9670;&nbsp;</a></span>ui</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.checkBoxDialog.CheckBoxDialog.ui</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="checkBoxDialog_8py_source.html#l00037">37</a> du fichier <a class="el" href="checkBoxDialog_8py_source.html">checkBoxDialog.py</a>.</p>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir du fichier suivant :<ul>
<li>src/<a class="el" href="checkBoxDialog_8py_source.html">checkBoxDialog.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacesrc.html">src</a></li><li class="navelem"><a class="el" href="namespacesrc_1_1checkBoxDialog.html">checkBoxDialog</a></li><li class="navelem"><a class="el" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html">CheckBoxDialog</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
